package market.Lms.FixedAssets.vo;

import java.util.Date;

import market.Lms.FixedAssets.mapper.LmsFixedAssetsHeatInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_fixed_assets_heat_info", namespace=LmsFixedAssetsHeatInfoMapper.class)
public class LmsFixedAssetsHeatInfo {
	/**
	 * 资产入库信息主表
	 *
	 */
	@Id
	//入库单号
	private String heat_no;

	@Column
	//送货单号
	private String delivery_no;
	
	@Column
	//供货单位编号
	private String supplier_no;

	@Column
	//供货单位名称
	private String supplier_name;

	@Column
	//入库类型编号
	private String in_type_no;

	@Column
	//入库类型名称
	private String in_type_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//购入时间
	private Date in_date;

	@Column
	//备注
	private String memo;

	@Column
	//入库人编号
	private String create_man_no;

	@Column
	//入库人姓名
	private String create_man_name;

	@Column
	//管理员编号
	private String admin_no;

	@Column
	//管理员姓名
	private String admin_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//删除时间
	private Date delete_time;

	@Column
	//标志 1：有效；2：无效
	private String valid_flag;

	public String getHeat_no() {
		return heat_no;
	}

	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	public String getDelivery_no() {
		return delivery_no;
	}

	public void setDelivery_no(String delivery_no) {
		this.delivery_no = delivery_no;
	}
	
	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	public String getSupplier_no() {
		return supplier_no;
	}

	public void setSupplier_no(String supplier_no) {
		this.supplier_no = supplier_no;
	}

	public String getSupplier_name() {
		return supplier_name;
	}

	public void setSupplier_name(String supplier_name) {
		this.supplier_name = supplier_name;
	}

	public String getIn_type_no() {
		return in_type_no;
	}

	public void setIn_type_no(String in_type_no) {
		this.in_type_no = in_type_no;
	}

	public String getIn_type_name() {
		return in_type_name;
	}

	public void setIn_type_name(String in_type_name) {
		this.in_type_name = in_type_name;
	}

	public Date getIn_date() {
		return in_date;
	}

	public void setIn_date(Date in_date) {
		this.in_date = in_date;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public String getAdmin_no() {
		return admin_no;
	}

	public void setAdmin_no(String admin_no) {
		this.admin_no = admin_no;
	}

	public String getAdmin_name() {
		return admin_name;
	}

	public void setAdmin_name(String admin_name) {
		this.admin_name = admin_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}
	
	


}
